import {AbstractControl, FormGroup, ValidationErrors, ValidatorFn} from '@angular/forms';

export class BloodPressureValidator {
  static ifOneFieldFilledOtherShouldBeFilledValidator: (systolicName: string, diastolicName: string) => ValidatorFn =
    (systolicName: string, diastolicName: string) => (fg: AbstractControl): ValidationErrors | null => {
      const systolicFilled: boolean = !!(fg as FormGroup).get(systolicName)?.value;
      const diastolicFilled: boolean = !!(fg as FormGroup).get(diastolicName)?.value;
      return systolicFilled !== diastolicFilled
        ? {onlyOneFieldFilled: 'Only one field is filled in blood pressure, both should be filled.'}
        : null;
    }
}
