import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'formatNumber'
})
export class FormatNumberPipe implements PipeTransform {
  transform(value: any): string | null {
    const numberRegExp = new RegExp(`^\\d*(\\.\\d*)?$`);
    if (typeof value !== 'string') {
      return value;
    }

    if (!numberRegExp.test(value)) {
      return value;
    }

    return value.replace('.', ',');
  }
}
