import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'toNumber'
})
export class ToNumberPipe implements PipeTransform {

  transform(value: string | number, locale: 'da' | 'en-US'): string {
    if (typeof value === 'number') {
      return value.toString();
    }

    switch (locale) {
      case 'da':
        const decimalAsPoint = value.split(',').join('.');
        return decimalAsPoint;
      case 'en-US':
        return value;
    }

    return value;
  }

}
