import { Activity, Observation } from '@nspop/gm-web-facade-api';
import ObservationUtil from './observation.util';

export default class ActivityUtil {

  static hasMeasurements(activity: Activity | undefined): boolean {
    return !!activity?.observations?.length;
  }

  static hasRegularMeasurements(activity: Activity | undefined): boolean {
    const observations: Observation[] = activity?.observations || [];
    return observations.some(observation => ObservationUtil.isOfTypeClinicalObservationType(observation.type));
  }

  static hasUltraSoundMeasurements(activity: Activity | undefined): boolean {
    const observations: Observation[] = activity?.observations || [];
    return observations.some(observation => ObservationUtil.isOfTypeScanningObservationType(observation.type));
  }
}
